Fork me on GitHub
Subscribe 2

Ticket #460 (fixed bug)

Deprecated MySQL syntax in install.php

  • Created: 2011-07-05 10:12:09
  • Reported by: François
  • Assigned to: Franz
  • Milestone: 1.2.24
  • Component: installation
  • Priority: normal

There is an issue with the install.php files of the 1.2.23 version of FluxBB, which give us the error message :

You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 9 (Errno: 1064)

We have the following code for the creation of MySQL tables :

TYPE=MyISAM;

It should be

ENGINE=MyISAM;

History

Franz 2011-07-05 11:46:36

Oh, looks like this is deprecated: http://dev.mysql.com/doc/refman/5.0/en/ … ngine.html

With our minimum requirements, I think it should be safe to switch to "ENGINE=..." now.

Franz 2011-07-05 11:47:43

  • Milestone set to 1.2.24.
  • Owner set to Franz.

Franz 2011-07-12 10:02:31

Commit 19e6f62 to fluxbb fluxbb-1.2

#460: Use \"ENGINE\" instead of deprecated \"TYPE\" when creating database tables in MySQL.

Franz 2011-07-12 10:05:11

  • Status changed from open to fixed.

This should be fixed now. 1.2.24 will be released very soon.

Franz 2011-07-12 22:59:11

  • Summary changed from Error of Engine during installation to Deprecated MySQL syntax in install.php.